/* define the sandwish arrays */

var breakfast = ["Egg, Sausage and Cheese", "Egg Whites on Flatbread", "Egg and Cheese"];
var lunch = ["Turkey Club", "Grilled Cheese", "Peanut Butter and Jelly"];
var dinner = ["Meatball", "Hamburger", "Oatmeal and banana on Rye"];

/*
    JOIN
*/

/* clean up breakfast for output */
var joinBreakfast = breakfast.join(", plus "); // separate them with a comma, 2 spaces and the word "plus"

/* alert it */
alert('join: ' + joinBreakfast);

/*
    SLICE
*/

/* slice lunch, start at 1 and end at 2 */
var sliceLunch = lunch.slice(1,3);

/* clean and alert lunch */
var joinLunch = sliceLunch.join(" & ");

alert('slice/join: ' + joinLunch);

/*
    SHIFT
*/

/* remove the first element of dinner */
var shiftDinner = dinner.shift();

/* alert it */
alert('shift: ' + shiftDinner) // meatball

/*
    UNSHIFT
*/

/* add an item to the beginning of the array */
var unshiftDinner = dinner.unshift("Nacho Cheese-wich");

/* alert it */
alert('unShift: ' + dinner) // meatball

/*
    POP
*/

/* remove an item from the end of the array */
var popDinner = dinner.pop();

/* alert it */
alert('pop: ' + popDinner) // Oatmeal and banana on Rye

/*
    CONCAT
*/

/* concatenate all arrays in one */
var favoriteSandwiches = breakfast.concat(lunch, dinner);

/* save HTML body element to a variable */
var target = document.getElementsByTagName('body')[0];

/* output the array values in the HTML */
target.innerHTML = favoriteSandwiches.join('<br>');

/*
    SORT
*/

/* sort the concatenated array alphabetically */
var sortFavorites = favoriteSandwiches.sort();

/* overwrite the original outputted list with a sorted one */
target.innerHTML = sortFavorites.join('<br>');